/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: RepeatedBehavior.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.behavior.repeated;

import com.aimpulse.spectrum.mas.behaviors.BasicBehavior;
import com.aimpulse.spectrum.mas.behaviors.BehaviorController;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class RepeatedBehavior extends BasicBehavior {

	private static final int NUM_LOOPS = 3;
	private int count = 0;

	public RepeatedBehavior(BehaviorController controller) {
		super(controller);
	}

	@Override
	public void action() {
		System.out.println("Hello world");
		if (++count < NUM_LOOPS) {
			reschedule();
		}
	}
}