/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: HelloWorldAgent.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.helloworld.agent;

import com.aimpulse.spectrum.core.Agent;
import com.aimpulse.time.Timestamp;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class HelloWorldAgent extends Agent {

	@Override
	public Timestamp call() {
		System.out.println("Hello World");
		return null;
	}

	@Override
	public boolean hasTerminated() {
		return true;
	}
}