/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: HelloWorldBehavior.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.helloworld.behavior;

import com.aimpulse.spectrum.mas.behaviors.BasicBehavior;
import com.aimpulse.spectrum.mas.behaviors.BehaviorController;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class HelloWorldBehavior extends BasicBehavior {

	public HelloWorldBehavior(BehaviorController controller) {
		super(controller);
	}

	@Override
	public void action() {
		System.out.println("Hello world");
	}
}