/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: ResponderAgent.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.interaction;

import com.aimpulse.spectrum.mas.behaviors.Agent;
import com.aimpulse.spectrum.mas.behaviors.Behavior;
import com.aimpulse.spectrum.mas.fipa.protocols.NotUnderstoodException;
import com.aimpulse.spectrum.mas.fipa.protocols.RefuseException;
import com.aimpulse.spectrum.mas.fipa.protocols.RequestResponder;
import com.aimpulse.spectrum.mas.messaging.Message;
import com.aimpulse.spectrum.mas.messaging.ModifiableMessage;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class ResponderAgent extends Agent {

	@Override
	public void setup() {
		Behavior responder = new RequestResponder(this) {
			@Override
			public ModifiableMessage handleRequest(Message request)
					throws NotUnderstoodException, RefuseException {
				throw new RefuseException();
			}
		};
		addBehavior(responder);
	}
}
