/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: ResponderBehavior.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.messaging;

import com.aimpulse.spectrum.mas.behaviors.BasicBehavior;
import com.aimpulse.spectrum.mas.behaviors.BehaviorController;
import com.aimpulse.spectrum.mas.messaging.Message;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class ResponderBehavior extends BasicBehavior {

	public ResponderBehavior(BehaviorController controller) {
		super(controller);
	}

	@Override
	public void action() {
		BehaviorController controller = getController();
		if (!controller.hasMessages()) {
			block();
			return;
		}
		Message message = controller.receive();
		System.out.println(message);
	}
}